<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | ~%header%</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.edit.collection.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const PERMISSION = '~%permission%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const HAS_REQUESTS = "~%hasRequests%" === "true";
		function closeWindow() {
			showListPage();
		}
	</script>
</head>

<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%header%</h1>

<div class="center-screen" >
	<div class="small-input-container">
		<table id="input-container">
			<tr>
				<td class="left-col">Instituut Code</td>
				<td class="right-col"><b><span class="institute-code"></span></b></td>
			</tr>
			<tr>
				<td class="left-col"><label for="collectionName">Naam</label></td>
				<td class="right-col">
					<input id="collectionName" name="collectionName" maxlength="64">
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="collectionCode">Collectie Code</label></td>
				<td class="right-col">
					<input id="collectionCode" name="collectionCode" maxlength="32">
					<div style="white-space:nowrap;font-size:.9em;margin-top:5px;">Je mag dit veld leeg laten. Het prefix wordt dan <span class="institute-code"></span></div>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="description">Omschrijving</label></td>
				<td class="right-col">
					<textarea id="description" name="description" maxlength="255" cols="50" rows="3"></textarea>
				</td>
			</tr>
			<tr>
				<td class="left-col"><label for="active">Actief</label></td>
				<td class="right-col"><input id="active" name="active" type="checkbox" checked="checked"></td>
			</tr>
		</table>
			
		~%%include:/html/include/EditButtons.html%
		
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>	

let canOverwriteCode = true;
	
$(document).ready(function() {

	initEditPage();
	
	$(".institute-code").text(MODEL_BEAN.instituteCode);
	
	if(!HAS_REQUESTS && !isNull(MODEL_BEAN.collectionId)) {
		$("#delete-button").css("display", "inline-block").click(function() {
			deleteRecord("Prefix", MODEL_BEAN.collectionId, MODEL_BEAN.prefix);
		});
	}
	
	const nameElem = $("input[name='collectionName']");
	const codeElem = $("input[name='collectionCode']");
	
	if(codeElem.val().length === 0) {
		nameElem.keyup(function() {
			if(canOverwriteCode) {
				codeElem.val(nameElem.val());
			}
		});
		codeElem.keydown(function() {
			canOverwriteCode = false;
		});
	}
});
</script>

</body>
</html>